Skip to main content

Query saved tokens

Use this endpoint to retrieve all saved tokens associated with a specific merchant user.

Endpoint summary

Path: /tokenization/query-token
Method: POST
Content-Type: application/json

Request parameters

ParameterTypeMandatoryDescription
merchantIdStringMMerchant identifier
userIdString(56)MMerchant's user identifier, value is case sensitive

Request example

{
"request": "{\"merchantId\":3,\"userId\":\"user1\"}",
"signature": "JGV/lwuVGhmSh3y00MzQpXQ9VcOhVwDwSgrOqXyAJl4OVtaJRWWZwqyNPZnRZr3v0I4Ne0ZlOIJPb1Krkqo10+1qmp8b2eaR+FYenWdMf0dDiiVOYycLznTLlvcmyu4pDYpEw10DCwsmblSVsG/wpdVeeB92JEw00sBE8a84Pzl/JmoB8C/yO2NCuxnMfaJsqO3mclGdoo8+IVHZLSSaW3Y6RmZ01HKeCm6akXBr70+PKV5YC9RGJwDDSZcaHXAFnYx2eod8aC10LucJMf88SjBORqdKZBnsJboQqGzBzaul2aactLUNyTKC206LhzleEmK7/Xi9U+FSY10xe54z8Q=="
}

Response parameters

ParameterTypeMandatoryDescription
responseCodeStringMPayment Gateway response code
messageStringMPayment Gateway response message
listArrayM 
list[index].tokenIdNumberMToken identifier
list[index].userIdStringMMerchant's user identifier, value is case sensitive
list[index].maskedPanStringMMasked card number of the tokenized card
note
  • Returns all tokens saved for the specified userId. Results are not paginated; all tokens are returned in a single response.

Response example

{
"responseCode": "0000",
"message": "SUCCESS",
"list": [
{
"maskedPan": "4705********8101",
"userId": "user1",
"tokenId": 351,
"cardBrand": "VISA",
"cardSubBrand": "VISA_CREDIT",
"expiryDate": "202403"
},
{
"maskedPan": "4000********0028",
"userId": "user1",
"tokenId": 375,
"cardBrand": "VISA",
"cardSubBrand": "VISA_DEBIT",
"expiryDate": "202312"
}
]
}